Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZPollChoice Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id=-1)
| getAll ( $ID)
| name ( $html=true)
| id ()
| offset ()
| pollID ()
| setName ( $value)
| setOffset ( $value)
| setPollID ( $value)
| voteCount ()

## Public Attributes
| $ID
| $Name
| $PollID
| $Offset

## Detailed Description

! eZPoll The eZPollChoice class handles the options for polls.

The eZPollChoice class handles poll options. The class has function for storing and fetching from the database.

Example code:

See also
  eZPoll eZVote

Definition at line 44 of file ezpollchoice.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPollChoice::__construct | ( |  | $id = `-1` | ) |

Constructor a new eZPoll object. Retrieves the data from the database if a valid id is given as an argument.

Definition at line 50 of file ezpollchoice.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZPollChoice::delete | ( |  | ) |

Deletes a eZPollChoice object from the database.

Definition at line 106 of file ezpollchoice.php.

References $db, and eZDB\globalDatabase().

## ◆ get()

eZPollChoice::get | ( |  | $id = `-1` | ) |

Fetches the poll object from the database.

Definition at line 122 of file ezpollchoice.php.

References $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

eZPollChoice::getAll | ( |  | $ID | ) |

Fetches the poll id from the database. And returns a array of eZPoll objects.

Definition at line 152 of file ezpollchoice.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ id()

eZPollChoice::id | ( |  | ) |

Returns the name of the pollchoice.

Definition at line 183 of file ezpollchoice.php.

References $ID.

## ◆ name()

eZPollChoice::name | ( |  | $html = `true` | ) |

Returns the name of the pollchoice.

Definition at line 172 of file ezpollchoice.php.

References $Name, and Name.

## ◆ offset()

eZPollChoice::offset | ( |  | ) |

Returns the name of the pollchoice.

Definition at line 192 of file ezpollchoice.php.

References $Offset.

## ◆ pollID()

eZPollChoice::pollID | ( |  | ) |

Returns the PollID of the Pollchoice.

Definition at line 201 of file ezpollchoice.php.

References $PollID.

## ◆ setName()

eZPollChoice::setName | ( |  | $value | ) |

Sets the name of the poll.

Definition at line 209 of file ezpollchoice.php.

References Name.

## ◆ setOffset()

eZPollChoice::setOffset | ( |  | $value | ) |

Sets the name of the poll.

Definition at line 217 of file ezpollchoice.php.

## ◆ setPollID()

eZPollChoice::setPollID | ( |  | $value | ) |

Sets the name of the poll.

Definition at line 225 of file ezpollchoice.php.

## ◆ store()

eZPollChoice::store | ( |  | ) |

Stores a eZPoll object to the database.

Definition at line 64 of file ezpollchoice.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## ◆ voteCount()

eZPollChoice::voteCount | ( |  | ) |

Fetches the number of votes for the current coice.

Definition at line 233 of file ezpollchoice.php.

References $db, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $ID

eZPollChoice::$ID

Definition at line 241 of file ezpollchoice.php.

Referenced by __construct(), and id().

## ◆ $Name

eZPollChoice::$Name

Definition at line 242 of file ezpollchoice.php.

Referenced by name().

## ◆ $Offset

eZPollChoice::$Offset

Definition at line 244 of file ezpollchoice.php.

Referenced by offset().

## ◆ $PollID

eZPollChoice::$PollID

Definition at line 243 of file ezpollchoice.php.

Referenced by pollID().

The documentation for this class was generated from the following file:

- ezpollchoice.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.